-- TestBench Template 

  LIBRARY ieee;
  USE ieee.std_logic_1164.ALL;
  USE ieee.numeric_std.ALL;

  ENTITY computer_tb IS
  END computer_tb;

  ARCHITECTURE behavior OF computer_tb IS 

    -- Component Declaration
    COMPONENT computer
    PORT(
      CLK    : in    std_logic; 
      CLR    : in    std_logic; 
      RX     : in    std_logic;
      TX     : out   std_logic;		
      TP     : out   std_logic;	
      SER_EN : out   std_logic;		
      SEL0   : out   std_logic;			
      SEL1   : out   std_logic;
      SEL2   : out   std_logic);
    END COMPONENT;
	 
    SIGNAL clk    : std_logic;
    SIGNAL clr    : std_logic;
    SIGNAL RX     : std_logic;
    SIGNAL TX     : std_logic;		
    SIGNAL TP     : std_logic;	
    SIGNAL SER_EN : std_logic;		
    SIGNAL SEL0   : std_logic;			
    SIGNAL SEL1   : std_logic;
    SIGNAL SEL2   : std_logic;	 	 

  BEGIN

    -- Component Instantiation
    uut: computer PORT MAP(
      CLK => clk,
      CLR => clr, 	
      RX => RX,
		TX => TX,
		TP => TP,
		SER_EN => SER_EN,
		SEL0 => SEL0,
		SEL1 => SEL1,
		SEl2 => SEL2 );

    clock : PROCESS
    BEGIN
	   clk <= '0';
		wait for 5 ns;
	   clk <= '1';
		wait for 5 ns;		
    END PROCESS clock;
	 
    reset : PROCESS
    BEGIN
	   clr <= '1';
		wait for 200 ns;
	   clr <= '0';
		wait;		
    END PROCESS reset;	

    tb : PROCESS
    BEGIN
	   RX <= '1';
		wait;		
    END PROCESS tb;	 	 

  END;
